module WeatherModel
  module SourceSchema

    def self.sorts
      ['Forecast']
    end

    CityForecast = {
      sort: 'Forecast',
      table_name: :city_forecasts,
      schema: {
        date: :date,
        cityname: :string,
        temp_high: :string,
        temp_low: :string,
        weather_text: :string,
        weather_pic: :string,
        win_dir: :string,
        win_speed: :string,
      },
      options: {
        index: [:cityname, :date],
        expire: 1,
        unique: :mysql_id,
        father: nil,
        son: nil,
        
      },
      factory_name: :forecast_shanghai_ten,
      factory: {
        datetime: '2017-05-16',
        cityname: 'shanghai',
        temp_high: '100',
        temp_low: '0',
        weather_text: '酷热严寒',
        weather_pic: 'http://xxx.com',
        win_dir: '东南西北风',
        win_speed: '1级',
      }
    }
  end    
end

